<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup - greska3!');
if ($prava_pristup_sadrzaj!=1) die('Nedozvoljen pristup - greska4!');

$modul='sadrzaj';



//ime aktivne kategorije
$id_rub = $_GET[id_rub];
$id_kat=$_REQUEST[id_kat];


if ($akcija=='delete_rubriku') {
	include ("delete_rubriku.php");
	$akcija='display_rubrike';
}
if ($akcija=='delete_kategorija') {
	include ("delete_kategorija.php");
	$akcija='display_kategorije';
}


//default rubrika
if ($id_rub) {
    $sql = "select id_rubrika,naslov from b7_rubrika where id_rubrika='$id_rub'";    
} else {
	if ($prava_power_user == 1) {
		$sql = "select id_rubrika,naslov from b7_rubrika order by pozicija asc limit 1";
	} else {
		$sql = "select id_rubrika,naslov from b7_rubrika where id_rubrika>1 order by pozicija asc limit 1";
	}
}
$rez = mysql_query($sql, $conn);
if ($rez) $num=mysql_num_rows($rez);
if ($num>0) {
    $row = mysql_fetch_array($rez);
	$id_rub= $row[0];
    $rubrika_naslov = $row[1];	
} else {
	$rubrika = '0';
}
//da li ima kategorija?
$sql = "select naslov from b7_kategorija where id_rubrika='$id_rub' limit 1";
$rez = mysql_query($sql, $conn);
if ($rez) $num=mysql_num_rows($rez);
if ($num<0) {
    $kategorija = '0';
} 

if ($rubrika=='0') {
	//nema niti jedne rubrika u bazi - prvo unesi bar jednu rubrika!
	$akcija='form_insert_rubrika';
} else {
	if ($kategorija=='0') {
		//nema niti jedne rubrika u bazi - prvo unesi bar jednu rubrika!
		$akcija='form_insert_kategorija';
	}			
}

//napraviti prije ispisa sadržaja
if ($akcija=='pomjeri_stranicu_gore') {
	include ("pomjeri_stranicu_gore.php");
	$akcija='display_stranice_list';
}
if ($akcija=='pomjeri_stranicu_dolje') {
	include ("pomjeri_stranicu_dolje.php");
	$akcija='display_stranice_list';
}
if ($akcija=='pomjeri_paragraf_gore') {
	include ("pomjeri_paragraf_gore.php");
	$akcija='display_paragrafi';
}
if ($akcija=='pomjeri_paragraf_dolje') {
	include ("pomjeri_paragraf_dolje.php");
	$akcija='display_paragrafi';
}
if ($akcija=='pomjeri_sliku_gore') {
	include ("pomjeri_sliku_gore.php");
	$akcija='display_slike';
}
if ($akcija=='pomjeri_sliku_dolje') {
	include ("pomjeri_sliku_dolje.php");
	$akcija='display_slike';
}
if ($akcija=='pomjeri_kategoriju_dolje') {
	include ("pomjeri_kategoriju_dolje.php");
	$akcija='display_kategorije';
}
if ($akcija=='pomjeri_kategoriju_gore') {
	include ("pomjeri_kategoriju_gore.php");
	$akcija='display_kategorije';
}

if ($akcija=='pomjeri_rubriku_dolje') {
	include ("pomjeri_rubriku_dolje.php");
	$akcija='display_rubrike';
}
if ($akcija=='pomjeri_rubriku_gore') {
	include ("pomjeri_rubriku_gore.php");
	$akcija='display_rubrike';
}

include ("podmeni.php");

if ($akcija=='update_paragraf_download') {
	include ("update_paragraf_download.php");
	$akcija='form_edit_download';
}
if ($akcija=='delete_fajl') {
	include ("delete_fajl.php");
	$akcija='form_edit_download';
}
if ($akcija=='update_paragraf_tekst') {
	include ("update_paragraf_tekst.php");
	$akcija='display_paragrafi';
}
if ($akcija=='insert_paragraf_slika') {
	include ("insert_paragraf_slika.php");
	$akcija='display_slike';
}
if ($akcija=='update_slika') {
	include ("update_slika.php");
	$akcija='display_slike';
}
if ($akcija=='delete_slika') {
	include ("delete_slika.php");
	$akcija='display_slike';
}
if ($akcija=='delete_paragraf') {
	include ("delete_paragraf.php");
	$akcija='display_paragrafi';
}
if ($akcija=='delete_stranica') {
	include ("delete_stranica.php");
	$akcija='display_stranice_list';
}


switch ($akcija) {
    case 'form_insert_rubrika':
        include ("form_insert_rubrika.php");
        break;
	case 'form_insert_kategorija':
        include ("form_insert_kategorija.php");
        break;
	case 'form_insert_new_stranica':
        include ("form_insert_new_stranica.php");
        break;
	case 'form_edit_stranica_parametri':
        include ("form_edit_stranica_parametri.php");
        break;
	case 'form_insert_new_paragraf':
        include ("form_insert_new_paragraf.php");
        break;
	case 'form_edit_paragraf_parametri':
        include ("form_edit_paragraf_parametri.php");
        break;
	case 'form_edit_paragraf_html':
        include ("form_edit_paragraf_html.php");
        break;
	case 'form_edit_download':
        include ("form_edit_download.php");
        break;
	case 'form_edit_tekst':
        include ("form_edit_tekst.php");
        break;
	case 'form_update_slika':
        include ("form_update_slika.php");
        break;
	case 'form_insert_sliku':
        include ("form_insert_sliku.php");
        break;
	case 'form_edit_kategoriju':
        include ("form_edit_kategoriju.php");
        break;
	case 'form_edit_rubriku':
        include ("form_edit_rubriku.php");
        break;
		
	case 'insert_new_rubrika':
        include ("insert_new_rubrika.php");
        break;
	case 'insert_new_kategorija':
        include ("insert_new_kategorija.php");
        break;
	case 'insert_new_stranica':
        include ("insert_new_stranica.php");
        break;
	case 'insert_new_paragraf':
        include ("insert_new_paragraf.php");
        break;
		
	case 'update_stranica':
        include ("update_stranica.php");
        break;
	case 'update_paragraf_parametri':
        include ("update_paragraf_parametri.php");
        break;
	case 'update_paragraf_html':
        include ("update_paragraf_html.php");
        break;
	case 'update_kategorija':
        include ("update_kategorija.php");
        break;
	case 'update_rubrika':
        include ("update_rubrika.php");
        break;
		
  	
	case 'display_paragrafi':
        include ("display_paragrafi.php");
        break;
	case 'display_slike':
        include ("display_slike.php");
        break;
	case 'display_kategorije':
        include ("display_kategorije.php");
        break;
	case 'display_rubrike':
        include ("display_rubrike.php");
        break;
	
    default:
		include ("kreiraj_meni.php");
		include ("display_stranice_list.php");				
        break;
}
?>